<?php 
class WCEV_OrdersListPage
{
	public function __construct()
	{
		//HPOS
		add_action( 'woocommerce_shop_order_list_table_custom_column', array($this, 'add_request_invoice_column_content'),10, 2 ); 		//Same for HPOS
		add_filter( 'woocommerce_shop_order_list_table_columns', array($this, 'add_request_invoice_column'), 15 ); 					//Same for HPOS
		//
		add_action( 'manage_shop_order_posts_custom_column', array($this, 'add_request_invoice_column_content'), 10, 2 );
		add_filter( 'manage_edit-shop_order_columns', array($this, 'add_request_invoice_column'),15 ); 
	}
	public function add_request_invoice_column($columns)
	{
		global  $wcev_vat_field_model, $wcev_text_helper;
		$field_options = $wcev_vat_field_model->get_all_options();
		
		 $columns['wcev-invoice-requested'] =esc_html__('Invoice requested', 'woocommerce-eu-vat-field'); 

	   return $columns;
	}
	public function add_request_invoice_column_content( $column, $order_id ) 
	{
		global $wcev_order_model;
		if ( $column == 'wcev-invoice-requested' ) 
		{
			echo $wcev_order_model->was_invoice_requested($order_id) ? esc_html__('Yes', 'woocommerce-eu-vat-field') :  esc_html__('No', 'woocommerce-eu-vat-field');
		}
		
		
	}
}
?>